### Method

# FwupdPlugin Plugin add_firmware_gtype

since: 2.1.1

#### Declaration [src]

    void
    fu_plugin_add_firmware_gtype (
      FuPlugin* self,
      GType gtype
    )

#### Description [src]

Adds a firmware `GType` which is used when creating devices.

Plugins can use this method only in fu_plugin_init().

Available since: 2.1.1

#### Parameters

`gtype`

  Type: `GType`

  A `GType` e.g. `FU_TYPE_FOO_FIRMWARE`.